Skip to main content
GET
/
entities
List Entities
curl --request GET \
  --url https://api.otim.com/v0/entities \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
      "email": "alice@example.com",
      "type": "individual",
      "status": "active",
      "kycStatus": "approved",
      "tosStatus": "approved",
      "kycLink": "https://verify.otim.com/kyc/abc123",
      "tosLink": "https://verify.otim.com/tos/abc123",
      "createdAt": "2025-01-15T12:00:00Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Query Parameters

cursor
string

Pagination cursor from a previous response.

limit
integer
default:50

Number of items to return.

Required range: x <= 100

Response

A paginated list of Entities.

data
object[]
hasMore
boolean
nextCursor
string | null